<?php
 /* Gstebuch - Einstellungen
 - Webbausteine.de */


// Verbindungsdaten zur Datenbank
$DB_HOST = "localhost"; // Datenbank-Host
$DB_NAME = "test"; // Datenbank-Name
$DB_BENUTZER = "root"; // Datenbank-Benutzer
$DB_PASSWORT = ""; // Datenbank-Passwort


// E-Mail
$EMAIL = "name@example.com";

// Admin. Name
$NAME = "user";

// Admin. Passwort
$PASSWORT = "0000";

// ber einen neuen Eintrag ins Gstebuch per E-Mail informieren (ja/nein)
// Funktioniert nur mit gltiger E-Mail-Adresse!
$GB_INFO = "ja";

// Sperre des Eintrags (0 oder 1 = Der Eintrag ist sofort sichtbar!)
$ANZEIGESPERRE = 0;

// Anzahl der Eintrge pro Seite anzeigen
$EINTRAEGE_SEITE = 10;

// Neue Eintrge am "Anfang" oder am "Ende" anzeigen
$EINTRAEGE_IO = "Ende";

// Name der Tabelle (muss normalerweise nicht gendert werden!)
$TABELLENNAME = "gaestebuch";


// Fortgeschrittene Anwender knnen ab hier nderungen vornehmen.
// PHP-Version
if (version_compare(PHP_VERSION, '5.2.0') < 0)
 die('<p>Aktuelle PHP-Version: ' . PHP_VERSION . '<br>Voraussetzung min.:&thinsp; 5.2.0</p>');

// Zeitzone setzen
// http://de3.php.net/manual/de/timezones.europe.php
date_default_timezone_set("Europe/Berlin");

try {
 // Verbindung zur Datenbank aufbauen
 $verbindung = new PDO("mysql:host=" . $DB_HOST . ";dbname=" . $DB_NAME, $DB_BENUTZER, $DB_PASSWORT);
}
catch (PDOException $e) {
 // Bei einer fehlerhaften Verbindung eine Nachricht ausgeben
 exit("Verbindung fehlgeschlagen! " . $e->getMessage());
} 

// JavaScript
$javascript = '<script>function smiley(smile){document.Form.nachricht.value=document.Form.nachricht.value+=" "+smile}</script>';

// Smiley
$smiley = array(
 ":)" => '<img src="img/laecheln.gif" alt="">',
 ":(" => '<img src="img/traurig.gif" alt="">',
 ";)" => '<img src="img/zwinkern.gif" alt="">',
);

// Code formatieren
function code($text) {
 global $smiley;
 $text = strtr($text, $smiley);
 return nl2br($text);
}

// Bewertung
// Weitere Sterne!: &#10025; bis &#10045;
function bewertung($punkte) {
 if ($punkte < 1) return;
 return ($punkte > 0 ? '<span class="bewertung_ok">&thinsp;' . str_repeat('&#10026;' , $punkte) . '</span>' : "") .
 ((4 - $punkte) > 0 ? '<span class="bewertung_ko">' . str_repeat('&#10026;' , (4 - $punkte)) . '</span>' : "");
}

// Smiley
function smiley() {
 global $smiley;
 $var = '';
 foreach ($smiley as $key => $element) {
  $element = str_replace(' alt=""', ' title="Smile einfgen" alt="" class="smiley" onClick="smiley(\'' . $key . '\')"', $element);
  $var .= '' . $element . ' ';
 }
 return $var;
}

// Kalender
function kalender($tag, $monat, $jahr) {
 $wt = getdate(mktime(0, 0, 0, $monat, $tag, $jahr));
 $tag = round($tag);
 $monat = round($monat);
 $tage = array("Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag");
 $monate = array(1=>"Januar", "Februar", "Mrz", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember");
 return $tage[$wt["wday"]] . ", " . $tag . " " . $monate[$monat] . " " . $jahr;
}
?>