<!DOCTYPE html>
<html>
 <head>
  <meta charset="ISO-8859-1">
  <title>Gstebuch</title>
  <link rel="stylesheet" href="gb_style.css">
 </head>
<body>

<h2>Gstebuch</h2>

<?php
/* Gstebuch
 - Webbausteine.de */

include "gb_einstellungen.php";

if (!isset($_GET["eintragen"])) {

 print '<p>&raquo; <a href="gb.php?eintragen">In das Gstebuch eintragen</a></p>';

 // Anzahl der Seiten berechnen
 $res = $verbindung->query("SELECT `id` FROM `" . $TABELLENNAME . "` WHERE `anzeige` = '1'");
 @$AnzahlDatensaetze = count($res->fetchAll());
 if ($AnzahlDatensaetze > 0) {
  $AktuelleSeite = isset($_GET["seite"]) ?  intval($_GET["seite"]) : 1;
  $Seitenanzahl = ceil($AnzahlDatensaetze / $EINTRAEGE_SEITE);
  $AktuelleSeite = $AktuelleSeite < 1 || $AktuelleSeite > $Seitenanzahl ? 1 : $AktuelleSeite;
  $Versatz = $AktuelleSeite * $EINTRAEGE_SEITE - $EINTRAEGE_SEITE;

 // Eintrge auslesen
  $select = $verbindung->query("SELECT `name`, `nachricht`, `bewertung`, `datum`
                                                         FROM `" . $TABELLENNAME . "`
                                                         WHERE `anzeige` = '1'
                                                         ORDER BY `datum` " . ($EINTRAEGE_IO == "Ende" ? "ASC" : "DESC") . "
                                                         LIMIT "  . $Versatz . ", " . $EINTRAEGE_SEITE);
  if ($datensaetze = $select->fetchAll(PDO::FETCH_OBJ)) {

   // Link-, und Formular-Navigation
   print '<form action="gb.php" method="get" autocomplete="off">' . $AnzahlDatensaetze . ($AnzahlDatensaetze > 1 ? ' Eintrge' : ' Eintrag') . ' - Seite: ' . 
    (($AktuelleSeite - 1) > 0 ? '<a href="?seite=' . ($AktuelleSeite - 1) . '" title="Zurck zu Seite ' . ($AktuelleSeite - 1) . '">&larr;</a>' : '') .
    ' <input type="text" value="' . $AktuelleSeite . '" name="seite" size="3" maxlength="4" onClick="this.select()"> von ' . $Seitenanzahl .
     (($AktuelleSeite + 1) <= $Seitenanzahl ? ' <a href="?seite=' . ($AktuelleSeite + 1) . '" title="Weiter zu Seite ' . ($AktuelleSeite + 1) . '">&rarr;</a>' : '') .
    '</form>';

   // Eintrge anzeigen
   foreach($datensaetze as $datensatz) {
    sscanf($datensatz->datum, "%4s-%2s-%2s", $jahr, $monat, $tag);
    print '<dl class="eintrag"><dt><b>' . $datensatz->name . '</b>&nbsp;' .
     bewertung($datensatz->bewertung) . '&nbsp;<small> ' . (kalender($tag, $monat, $jahr)) . '</small></dt><dd>' . 
     code($datensatz->nachricht) . '</dd></dl>';
   }

   // Navigation Zurck /Weiter
   if ($AnzahlDatensaetze > $EINTRAEGE_SEITE) {
   print '<p>' . (($AktuelleSeite - 1) > 0 ? '&laquo; <a href="?seite=' . ($AktuelleSeite - 1) . '">Zurck</a>&nbsp; ' : '') . ' ' .
   (($AktuelleSeite + 1)  <= $Seitenanzahl ? '<a href="?seite=' . ($AktuelleSeite + 1) . '">Weiter</a> &raquo;' : '') . '</p>';
   }
  }
 }
}
else {

 // In das Gstebuch eintragen
 $name = isset($_POST["name"]) ? $_POST["name"] : "";
 $nachricht = isset($_POST["nachricht"]) ? $_POST["nachricht"] : "";

 // Benutzereingaben berprfen
 $Fehler = array("name"=>"","nachricht"=>"","sicherheit"=>"",);
 if (isset($_POST["submit"]) || isset($_POST["vorschau"])) {
  $Fehler["name"] = strlen($_POST["name"]) <= 3 ? 'Bitte fllen Sie dieses Feld aus (min. 3 Zeichen)!<br>' : '';
  $Fehler["name"] = strip_tags($_POST["name"]) != $_POST["name"] ? 'HTML-Tags sind nicht erlaubt!<br>' : $Fehler["name"];
  $Fehler["nachricht"] = strlen($_POST["nachricht"]) < 10 ? 'Bitte fllen Sie dieses Feld aus (min. 10 Zeichen)!<br>' : '';
  $Fehler["nachricht"] = strip_tags($_POST["nachricht"]) != $_POST["nachricht"] ? 'HTML-Tags sind nicht erlaubt!<br>' : $Fehler["nachricht"];
  $Fehler["sicherheit"] = (!isset($_POST["vorschau"]) && md5($_POST["zip"]) != $_POST["zip2"]) ? 'Die Sicherheitsabfrage ist leider falsch!<br>' : '';
 }

 // Auswahlliste "Webseite Bewertung"
 $stern = "&#10026; "; // Weitere Sterne: &#10025; bis &#10045;
 $bewertung = isset($_POST["bewertung"]) ? $_POST["bewertung"] : "";
 $bewertungsauswahl = "\n   <select name='bewertung' id='Bewertung'>\n    <option value='keine'>keine</option>";
 for ($value = 1; $value <= 4; $value++) {
  $bewertungsauswahl .= "\n    <option value='" . $value . "'" .
  ((isset($_POST["bewertung"]) ? $_POST["bewertung"] : "") == $value ?
  " selected='selected'" : "") .  ">" . str_repeat($stern, $value) . "</option>";
 }
 $bewertungsauswahl .= "\n   </select>\n  ";

 // Sicherheitsabfrage - Zufallszahlen generieren
 $Z0 = array(mt_rand(1, 9), mt_rand(1, 9));
 $Z1 = max($Z0); $Z2 = min($Z0);
 $Spam = $Z1 . " &#43; &#" . (48 + $Z2) . ";";
 $Schutz = md5($Z1 + $Z2);

 // Formular erstellen
 $Formular = $javascript . '
<p>&raquo; <a href="gb.php">Das Gstebuch anzeigen</a></p>
 <form name="Form" action="gb.php?eintragen" method="post">
 <p>
  <label> Name:
  <span style="color:#FF0000">&#10034; ' . $Fehler["name"] . '</span>
  <input type="text" name="name" value="' . $name . '" size="30" maxlength="30" required="required" autofocus="autofocus">
  </label>
 </p>
 <p>
  <label for="message"> Nachricht:</label>
  <span style="color:#FF0000">&#10034; ' . $Fehler["nachricht"] . '</span> 
   ' . (smiley()) . '<br>
  <textarea name="nachricht" id="message" cols="40" rows="10" required="required">' . $nachricht . '</textarea>
 </p>
 <p>
  <label>Webseite Bewertung: ' . $bewertungsauswahl . '</label> <small>Sterne von 1 bis 4</small>
 </p>
 <p>' . 
 ($_SERVER["REQUEST_METHOD"] != "POST" ? '' :
   '<p> <label> Sicherheitsabfrage: 
   <span style="color:#FF0000">&#10034; ' . $Fehler["sicherheit"] . '</span>&nbsp; 
   <code>' . $Spam . '</code> = 
   <input type="text" name="zip" size="4" autocomplete="off" required="required">
   <input type="hidden" name="zip2" value="' . $Schutz . '"><br>
  </p>') .
 '<p>
 <small>Bitte alle mit <span style="color:#FF0000">&#10034;</span> markierten Felder ausfllen.</small><br>
 <input type="submit" name="vorschau" value="Vorschau" formnovalidate="formnovalidate"> &emsp; 
  ' . ($_SERVER["REQUEST_METHOD"] == "POST" ? '<input type="submit" name="submit" value="Eintragen">' : '') . '
 </p>
 </form>
 ';

 // Vorschau
 if (isset($_POST["vorschau"]) &&
     strlen($_POST["name"]) >= 4 &&
     strlen($_POST["nachricht"]) >= 10) {
  print '<fieldset><legend>Vorschau</legend>
   ' . $name . ' ' . (bewertung($bewertung)) . '<br>'. code($nachricht, true) . '</fieldset>';
 }

 // Formular abgesendet
 if (isset($_POST["submit"])) {

  // Sind keine Benutzer-Eingabefehler vorhanden ...
  if (implode("", $Fehler) == "") {
   // ... in die Datenbank eintragen.
   $insert = $verbindung->prepare("INSERT INTO `" . $TABELLENNAME . "`
                                                           SET
                                                             `anzeige`= :anzeige,
                                                             `name`= :name,
                                                             `nachricht`= :nachricht,
                                                             `bewertung`= :bewertung,
                                                             `datum`= NOW()");
   $insert->bindValue(':anzeige', $ANZEIGESPERRE);
   $insert->bindValue(':name', $_POST["name"]);
   $insert->bindValue(':nachricht', $_POST["nachricht"]);
   $insert->bindValue(':bewertung', $_POST["bewertung"]);
   if ($insert->execute()) {
    print '<p>Vielen Dank <i>' . $_POST["name"] . '</i>,<br>
     Sie wurden in das Gstebuch eingetragen.<br><br>
     &raquo; <a href="gb.php">Zum Gstebuch</a></p>';

    // E-Mail an den Admin versenden
    if ($GB_INFO == "ja") {
     @mail($EMAIL,
                "Neuer Gstebuch Eintrag",
                "Datum: " . date("d.m.Y H:i") .
                " Uhr\nName: " . $_POST["name"] .
                "\nNachricht:\n" . $_POST["nachricht"] . "\n",
                "From:" . $EMAIL);
    }
   }
  }
  else {
   // Formular und Benutzer-Eingabefehler ausgeben
   print $Formular;
  }
 }
 else {
  // Formular ausgeben
  print $Formular;
 }
}
?>

</body>
</html>