<?php
/* Gstebuch - Administrator
 - Webbausteine.de */

session_start();
include "gb_einstellungen.php";

// Anmeldung berprfen
if (isset($_POST["anmeldung"])) {
 if ($_POST["name"] == $NAME &&
     $_POST["passwort"] === $PASSWORT) {
   $_SESSION["admin"] = $_POST["name"];
   header("Location: gb_admin.php");
 }
}
?><!DOCTYPE html>
<html>
 <head>
  <meta charset="ISO-8859-1">
  <title>Gstebuch - Administrator</title>
  <link rel="stylesheet" href="gb_style.css">

  <style>
  p.ok {
   color: #4DB53F;
  }
  fieldset {
   width: 500px;
  }
  </style>

 </head>
<body>

<h2>Gstebuch (Admin.)</h2>

<?php
// Anmeldung - Form
if (!isset($_SESSION["admin"]) ||
     isset($_GET["abmeldung"])) {
 print '<form action="gb_admin.php" method="post">
 <label>Name: <input type="text" name="name" autofocus="autofocus" required="required"></label> 
 <label>Passwort: <input type="password" name="passwort" required="required"></label> 
 <input type="submit" name="anmeldung" value="Anmelden">
 <p>&raquo; <a href="gb.php">Gstebuch</a></p>
 </form>';

 // Abmeldung
 if (isset($_GET["abmeldung"])) {
  unset($_SESSION["admin"]);
  print '<p class="ok">&#10004;  Abmeldung erfolgreich.</p>';
 }
 exit('</body></html>');
}
else {
 print '<p><i>' . $_SESSION["admin"] . '</i> &raquo; <a href="gb_admin.php?abmeldung">Abmelden</a></p>';
}


// Eintrag bearbeiten
if (isset($_GET["id"])) {
 $select = $verbindung->prepare("SELECT `id`, `anzeige`, `name`, `nachricht`, `bewertung`
                                                           FROM `" . $TABELLENNAME . "`
                                                           WHERE `id`= :id");
 $select->bindValue(':id', $_GET["id"]);
 $select->execute();
 $datensatz = $select->fetchAll(PDO::FETCH_OBJ);
  if (count($datensatz) == 1) {
   print $javascript .
    '<form name="Form" action="gb_admin.php?seite=' .  $_GET["seite"] . '" method="post">
      <fieldset>
      <legend>Eintrag bearbeiten</legend>
      <p>
      <label>Name: <input type="text" name="name" value="' . $datensatz[0]->name . '" size="30" required="required"></label>
      ' . (bewertung($datensatz[0]->bewertung)) . '
      </p>
      <p>
      <label for="message">Nachricht:</label> 
      ' . (smiley()) . ' &nbsp;<small>(HTML mglich!)</small><br>
      <textarea name="nachricht" id="message" rows="15" cols="55" required="required">' . $datensatz[0]->nachricht . '</textarea>
      </p>
      <p>
      <label> Eintrag ist ' . ($datensatz[0]->anzeige == 1 ? 'offen' : 'gesperrt') . ': 
      <select name="anzeige" size="1">
       <option value="1">&#10004; ffnen</option>
       <option value="0">&empty; Sperren</option>
      </select> </label> <br><br>
      <label> <input type="radio" name="auswahl" value="edit" checked="checked"> <span style="color:#0000FF">&Xi;</span> Eintrag ndern </label> &emsp; 
      <label> <input type="radio" name="auswahl" value="delete"> <span style="color:#FF0000">&#10008;</span> Eintrag lschen </label><br><br>
      <input type="hidden" name="id" value="' . $datensatz[0]->id . '">
      <a href="gb_admin.php?seite=' .  $_GET["seite"] . '"><input type="button" value="Abbrechen"></a> &nbsp; 
      <input type="submit" value="Ausfhren">
      </p>
      </fieldset>
     </form>';
  }
}

// Eintrag ndern/lschen
if (isset($_POST["auswahl"])) {
 if ($_POST["auswahl"] == "edit") {
  $update = $verbindung->prepare("UPDATE `" . $TABELLENNAME . "`
                                                            SET 
                                                               `name` = :name,
                                                               `nachricht` = :nachricht,
                                                               `anzeige` = :anzeige
                                                            WHERE
                                                               `id` = :id");
  $update->bindValue(':name', $_POST["name"]);
  $update->bindValue(':nachricht', $_POST["nachricht"]);
  $update->bindValue(':anzeige', $_POST["anzeige"]);
  $update->bindValue(':id', $_POST["id"]);
  if ($update->execute()) {
   print '<p class="ok">  &#10004; Der Eintrag wurde gendert. </p>';
  }
 }
 // Lschen
 else if ($_POST["auswahl"] == "delete") {
  $delete = $verbindung->prepare("DELETE FROM `" . $TABELLENNAME . "`
                                                             WHERE `id` = :id");
  $delete->bindValue(':id', $_POST["id"]);
  if ($delete->execute()) {
   print '<p class="ok">  &#10004; Der Eintrag wurde gelscht. </p>';
  }
 }
}

// Anzahl der Seiten berechnen
$res = $verbindung->query("SELECT `id` FROM `" . $TABELLENNAME . "`");
@$AnzahlDatensaetze = count($res->fetchAll());
if ($AnzahlDatensaetze > 0) {
 $AktuelleSeite = isset($_GET["seite"]) ?  intval($_GET["seite"]) : 1;
 $Seitenanzahl = ceil($AnzahlDatensaetze / $EINTRAEGE_SEITE);
 $AktuelleSeite = $AktuelleSeite < 1 || $AktuelleSeite > $Seitenanzahl ? 1 : $AktuelleSeite;
 $Versatz = $AktuelleSeite * $EINTRAEGE_SEITE - $EINTRAEGE_SEITE;

// Eintrge auslesen
 $select = $verbindung->query("SELECT `id`, `anzeige`, `name`, `nachricht`, `bewertung`, `datum`
                                                        FROM `" . $TABELLENNAME . "`
                                                        ORDER BY `datum` " . ($EINTRAEGE_IO == "Ende" ? "ASC" : "DESC") . "
                                                        LIMIT "  . $Versatz . ", " . $EINTRAEGE_SEITE);

 if ($datensaetze = $select->fetchAll(PDO::FETCH_OBJ)) {

   // Link-, und Formular-Navigation
   print '<form action="gb_admin.php" method="get" autocomplete="off"><p>' . $AnzahlDatensaetze . ($AnzahlDatensaetze > 1 ? ' Eintrge' : ' Eintrag') . ' - Seite: ' . 
    (($AktuelleSeite - 1) > 0 ? '<a href="?seite=' . ($AktuelleSeite - 1) . '" title="Zurck zu Seite ' . ($AktuelleSeite - 1) . '">&larr;</a>' : '') .
    ' <input type="text" value="' . $AktuelleSeite . '" name="seite" size="3" maxlength="4" onClick="this.select()"> von ' . $Seitenanzahl .
     (($AktuelleSeite + 1) <= $Seitenanzahl ? ' <a href="?seite=' . ($AktuelleSeite + 1) . '" title="Weiter zu Seite ' . ($AktuelleSeite + 1) . '">&rarr;</a>' : '') .
    '</p></form>';

  // Eintrge anzeigen
  foreach($datensaetze as $datensatz) {
   sscanf($datensatz->datum, "%4s-%2s-%2s %5s", $jahr, $monat, $tag, $zeit);
   print '<dl class="eintrag"><dt><span style="font-weight: bold; color:' . 
    ($datensatz->anzeige == 0 ?
     '#EE0000">&empty;' :
     '#51C444">&#10004;') .
    '</span> <b>' . $datensatz->name . '</b>&nbsp;' .
    bewertung($datensatz->bewertung) . ' - ' . (kalender($tag, $monat, $jahr)) . ' - ' . $zeit . ' Uhr&nbsp;' .
    ' &raquo; <a href="gb_admin.php?id=' . $datensatz->id . '&amp;seite=' . ($AktuelleSeite) . '">Bearbeiten</a>' . '</dt><dd>' . 
    code($datensatz->nachricht) . '</dd></dl>';
  }

  // Navigation Zurck/Weiter
  if ($AnzahlDatensaetze > $EINTRAEGE_SEITE) {
  print '<p>' . (($AktuelleSeite - 1) > 0 ? '&laquo; <a href="?seite=' . ($AktuelleSeite - 1) . '">Zurck</a>&nbsp; ' : '') . ' ' .
  (($AktuelleSeite + 1)  <= $Seitenanzahl ? '<a href="?seite=' . ($AktuelleSeite + 1) . '">Weiter</a> &raquo;' : '') . '</p>';
  }
 }
}
?>

</body>
</html>